ICMP(4)

NAME
icmp - internet control message protocol

SYNOPSIS
#include <sys/socket.h>
#include <netinet/in.h>

DESCRIPTION
The Internet Control Message Protocol (ICMP) is a control and error reporting layer for the Internet Protocol version 4 ip(4). ICMP is commonly used to diagnose network problems, such as the destination being unreachable, network congestion, packets exceeding their time to live, and so on.

SEE ALSO
inet(4), ip(4), ping(4), kernel(7)

STANDARDS
J. Postel (ed.), September 1981, STD 5, RFC 792, Internet Control Message Protocol - DARPA Internet Program Protocol Specification, USC/Information Sciences Institute.

BUGS
ICMP is not implemented yet, except automatically replying to the Echo Request message (ping) and the existence of ping(4) sockets for sending Echo Request messages and receiving Echo Reply messages.